Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.jigadmin.editors
Class FrameBrowser

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JTree
                              |
                              +--org.w3c.jigadmin.editors.ResourceTreeBrowser
                                    |
                                    +--org.w3c.jigadmin.editors.FrameBrowser

public class FrameBrowser
extends ResourceTreeBrowser

A JTree used to manage frames.

See Also:
  Serialized Form

Inner classes inherited from class javax.swing.JTree
`javax.swing.JTree.AccessibleJTree, javax.swing.JTree.DynamicUtilTreeNode, javax.swing.JTree.EmptySelectionModel, javax.swing.JTree.TreeModelHandler, javax.swing.JTree.TreeSelectionRedirector`

Inner classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Fields inherited from class org.w3c.jigadmin.editors.ResourceTreeBrowser
`DELETE_RESOURCE_AC, popup, resClassname, resIdentifier, rootNode`

Fields inherited from class javax.swing.JTree
`CELL_EDITOR_PROPERTY, CELL_RENDERER_PROPERTY, cellEditor, cellRenderer, editable, EDITABLE_PROPERTY, INVOKES_STOP_CELL_EDITING_PROPERTY, invokesStopCellEditing, LARGE_MODEL_PROPERTY, largeModel, ROOT_VISIBLE_PROPERTY, rootVisible, ROW_HEIGHT_PROPERTY, rowHeight, SCROLLS_ON_EXPAND_PROPERTY, scrollsOnExpand, SELECTION_MODEL_PROPERTY, selectionModel, selectionRedirector, SHOWS_ROOT_HANDLES_PROPERTY, showsRootHandles, toggleClickCount, TREE_MODEL_PROPERTY, treeModel, treeModelListener, VISIBLE_ROW_COUNT_PROPERTY, visibleRowCount`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`protected` | `FrameBrowser(RemoteResourceWrapperNode root)` Constructor

Method Summary
`protected void` | `addFrame(java.lang.String classname, RemoteResourceWrapper rrwf, javax.swing.tree.TreePath path)` Add a frame to the resource wrapped.
`protected void` | `addResourceToSelectedContainer()` Add a frame to the selected container.
`protected void` | `deleteResource(RemoteResourceWrapper rrw)` Delete the frame wrapped by the given wrapper
`protected void` | `deleteSelectedResources()` Delete the frames associated to the selected nodes.
`protected void` | `doubleClick(javax.swing.tree.TreePath path)` A double click occured on the node with the given path.
`protected void` | `dropResource(java.awt.dnd.DropTargetDropEvent dropTargetDropEvent, ResourceCell cell)` Drop a frame.
`protected AddResourcePanel` | `getAddResourcePanel(java.lang.String title, RemoteResourceWrapper rrw)` Get the Panel used to add a new frame
`static FrameBrowser` | `getFrameBrowser(RemoteResourceWrapper rrw, java.lang.String name)` Get a FrameBrowser.
`protected javax.swing.JPopupMenu` | `getPopupMenu(RemoteResourceWrapper rrw)` Get the popup menu relative to the selected frame.

Methods inherited from class org.w3c.jigadmin.editors.ResourceTreeBrowser
`addResource, addResourceToSelectedContainer, disposeAddResourcePopup, dragEnter, dragExit, dragOver, drop, dropActionChanged, getIdentifier, getResourceTreeBrowser, getSelectedResourceWrapper, getSelectedResourceWrapper, isDragging, popupAddResourceDialog, popupResource, reindexResource, reindexSelectedResources, removeDescendants, resourceActionPerformed, setCursor, setResourceToAdd, showReferenceDocumentation, simpleClick`

Methods inherited from class javax.swing.JTree
`addSelectionInterval, addSelectionPath, addSelectionPaths, addSelectionRow, addSelectionRows, addTreeExpansionListener, addTreeSelectionListener, addTreeWillExpandListener, cancelEditing, clearSelection, clearToggledPaths, collapsePath, collapseRow, convertValueToText, createTreeModel, createTreeModelListener, expandPath, expandRow, fireTreeCollapsed, fireTreeExpanded, fireTreeWillCollapse, fireTreeWillExpand, fireValueChanged, getAccessibleContext, getCellEditor, getCellRenderer, getClosestPathForLocation, getClosestRowForLocation, getDefaultTreeModel, getDescendantToggledPaths, getEditingPath, getExpandedDescendants, getInvokesStopCellEditing, getLastSelectedPathComponent, getLeadSelectionPath, getLeadSelectionRow, getMaxSelectionRow, getMinSelectionRow, getModel, getPathBetweenRows, getPathBounds, getPathForLocation, getPathForRow, getPreferredScrollableViewportSize, getRowBounds, getRowCount, getRowForLocation, getRowForPath, getRowHeight, getScrollableBlockIncrement, getScrollableTracksViewportHeight, getScrollableTracksViewportWidth, getScrollableUnitIncrement, getScrollsOnExpand, getSelectionCount, getSelectionModel, getSelectionPath, getSelectionPaths, getSelectionRows, getShowsRootHandles, getToolTipText, getUI, getUIClassID, getVisibleRowCount, hasBeenExpanded, isCollapsed, isCollapsed, isEditable, isEditing, isExpanded, isExpanded, isFixedRowHeight, isLargeModel, isPathEditable, isPathSelected, isRootVisible, isRowSelected, isSelectionEmpty, isVisible, makeVisible, paramString, removeDescendantToggledPaths, removeSelectionInterval, removeSelectionPath, removeSelectionPaths, removeSelectionRow, removeSelectionRows, removeTreeExpansionListener, removeTreeSelectionListener, removeTreeWillExpandListener, scrollPathToVisible, scrollRowToVisible, setCellEditor, setCellRenderer, setEditable, setExpandedState, setInvokesStopCellEditing, setLargeModel, setModel, setRootVisible, setRowHeight, setScrollsOnExpand, setSelectionInterval, setSelectionModel, setSelectionPath, setSelectionPaths, setSelectionRow, setSelectionRows, setShowsRootHandles, setUI, setVisibleRowCount, startEditingAtPath, stopEditing, treeDidChange, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getAlignmentX, getAlignmentY, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getGraphics, getHeight, getInsets, getInsets, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getTopLevelAncestor, getVisibleRect, getWidth, getX, getY, grabFocus, hasFocus, isDoubleBuffered, isFocusCycleRoot, isFocusTraversable, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, processComponentKeyEvent, processFocusEvent, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDoubleBuffered, setEnabled, setFont, setForeground, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setUI, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getLayout, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hide, imageUpdate, inside, isDisplayable, isEnabled, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processInputMethodEvent, processMouseEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FrameBrowser

    protected FrameBrowser(RemoteResourceWrapperNode root)

  Constructor
  Parameters:
    `root` - The resource node

Method Detail

### getFrameBrowser

    public static FrameBrowser getFrameBrowser(RemoteResourceWrapper rrw,
                                               java.lang.String name)

  Get a FrameBrowser.
  Parameters:
    `rrw` - The resource
    `name` - The resource identifier.
  Returns:
    a FrameBrowser instance

### dropResource

    protected void dropResource(java.awt.dnd.DropTargetDropEvent dropTargetDropEvent,
                                ResourceCell cell)

  Drop a frame.
  Parameters:
    `dropTargetDropEvent` - The DropTargetDropEvent
    `cell` - The resource cell
  Overrides:
    dropResource in class ResourceTreeBrowser
  See Also:
    `ResourceCell`

### getAddResourcePanel

    protected AddResourcePanel getAddResourcePanel(java.lang.String title,
                                                   RemoteResourceWrapper rrw)
                                            throws RemoteAccessException

  Get the Panel used to add a new frame
  Parameters:
    `title` - The title
    `rrw` - The wrapper of the father RemoteResource
  Returns:
    a AddResourcePanel instance
  Overrides:
    getAddResourcePanel in class ResourceTreeBrowser
  See Also:
    `AddResourcePanel`

### addResourceToSelectedContainer

    protected void addResourceToSelectedContainer()

  Add a frame to the selected container.
  Overrides:
    addResourceToSelectedContainer in class ResourceTreeBrowser

### addFrame

    protected void addFrame(java.lang.String classname,
                            RemoteResourceWrapper rrwf,
                            javax.swing.tree.TreePath path)
                     throws RemoteAccessException

  Add a frame to the resource wrapped.
  Parameters:
    `classname` - The new frame class name
    `rrwf` - the Wrapper of the resource
    `fpath` - The path of the resource node

### deleteResource

    protected void deleteResource(RemoteResourceWrapper rrw)
                           throws RemoteAccessException

  Delete the frame wrapped by the given wrapper
  Parameters:
    `rrw` - The RemoteResourceWrapper
  Overrides:
    deleteResource in class ResourceTreeBrowser

### deleteSelectedResources

    protected void deleteSelectedResources()

  Delete the frames associated to the selected nodes. Display an error message if there is no node selected.
  Overrides:
    deleteSelectedResources in class ResourceTreeBrowser

### getPopupMenu

    protected javax.swing.JPopupMenu getPopupMenu(RemoteResourceWrapper rrw)

  Get the popup menu relative to the selected frame.
  Parameters:
    `rrw` - the wrapper of the resource
  Returns:
    a JPopupMenu instance
  Overrides:
    getPopupMenu in class ResourceTreeBrowser

### doubleClick

    protected void doubleClick(javax.swing.tree.TreePath path)

  A double click occured on the node with the given path.
  Parameters:
    `path` - The path where the double click occured.
  Overrides:
    doubleClick in class ResourceTreeBrowser

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD